# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

managewarp:
  # Should you enable manage warp gui meaning players will be able to manage their own warps?
  enabled: true
  # What is the name of the gui? 
  name: "managewarp"
  # The title of the gui (Can use color codes)
  title: "&a&lManage - [warp]"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 54
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []

  clickable-items:
    menu:
      name: "&aGo back to menu"
      material: "BOOK"
      data: 0
      lore:
      - "&dClick&a to go back to the menu."
      slot: 49
      amount: 1
      glowing: false

  items:
    1:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 0
      amount: 1
      glowing: false
    2:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 1
      amount: 1
    3:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 2
      amount: 1
    4:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 3
      amount: 1
    5:
      name: "&aTeleport"
      material: "ENDER_EYE"
      data: 0
      slot: 4
      amount: 1
      lore:
      - "&aClick to teleport to &d[warp]"
      commands:
      - "[player] pwarp %warp%"
      back: false
    6:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 5
      amount: 1
    7:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 6
      amount: 1
    8:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 7
      amount: 1
    9:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 8
      amount: 1
    10:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 9
      amount: 1
    11:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 17
      amount: 1
    12:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 18
      amount: 1
    13:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 26
      amount: 1
    14:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 27
      amount: 1
    15:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 35
      amount: 1
    16:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 36
      amount: 1
    17:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 44
      amount: 1
    18:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 45
      amount: 1
    19:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 46
      amount: 1
    20:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 47
      amount: 1
    21:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 48
      amount: 1
    22:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 50
      amount: 1
    23:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 51
      amount: 1
    24:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 52
      amount: 1
    25:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 53
      amount: 1
    26:
      name: "&aDescription"
      material: "WRITABLE_BOOK"
      data: 0
      slot: 10
      amount: 1
      lore:
      - "&aClick to set a description for &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a description.:[player] !color pwarp desc set %warp% %value%\n[server] pwarp open mywarps -view %viewer% -player %player%"
      - "[close]"
      back: false
    27:
      name: "&aToggle Lock"
      material: "OAK_DOOR"
      data: 0
      slot: 16
      amount: 1
      lore:
      - "&aClick to toggle lock for &d[warp]"
      commands:
      - "[player] pwarp lock %warp%"
      back: false
    28:
      name: "&aCategory"
      material: "CHEST"
      data: 0
      slot: 20
      amount: 1
      lore:
      - "&aClick to set a category for &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a category.:[player] !color pwarp category %warp% %value%\n[server] pwarp open mywarps -view %viewer% -player %player%"
      - "[close]"
      back: false
    29:
      name: "&aBan"
      material: "NETHER_STAR"
      data: 0
      slot: 22
      amount: 1
      lore:
      - "&aClick to ban a player from &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a players name.:[player] !color pwarp ban set %warp% %value%\n[server] pwarp open mywarps -view %viewer% -player %player%"
      - "[close]"
      back: false
    30:
      name: "&aIcon"
      material: "ITEM_FRAME"
      data: 0
      slot: 24
      amount: 1
      lore:
      - "&aClick to set the &d[warp]'s&a icon"
      - "&ato what you're holding."
      commands:
      - "[player] pwarp icon set %warp%"
      back: false
    31:
      name: "&aRename"
      material: "NAME_TAG"
      data: 0
      slot: 37
      amount: 1
      lore:
      - "&aClick to rename &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a name.:[player] !color pwarp rename %warp% %value%\n[server] pwarp open mywarps -view %viewer% -player %player%"
      - "[close]"
      back: false
    32:
      name: "&aRemove"
      material: "BARRIER"
      data: 0
      slot: 40
      amount: 1
      lore:
      - "&aClick to remove &d[warp] &c&l(IRREVERSIBLE)"
      commands:
      - "[player] pwarp remove %warp%"
      back: false
    33:
      name: "&aTransfer ownership"
      material: "PLAYER_HEAD"
      data: 3
      slot: 43
      amount: 1
      owner: "[owner]"
      lore:
      - "&aClick to transfer ownership for &d[warp]"
      commands:
      - "[chat_wait] &aPlease enter a players name.:[player] !color pwarp setowner %warp% %value%\n[server] pwarp open mywarps -view %viewer% -player %player%"
      - "[close]"
      back: false
    # What are the items that are placed into the GUI to make it more pretty?
      # This is the name of the item.
      # This is the item material.
      # This is the data item
      # You can add lores!
      # example of what you can do:
      # lore:
      #   - "&bThis is a pane."
      # What is the stack amount?
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # commands:
      #   - "[server] msg %player% you clicked this item!"
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
